# Class yii\httpclient\JsonParser

Inheritance | yii\httpclient\JsonParser » yii\base\BaseObject
Implements | yii\base\Configurable, yii\httpclient\ParserInterface
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2-httpclient/blob/master/JsonParser.php

JsonParser parses HTTP message content as JSON.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$asArray | boolean | Whether to return objects in terms of associative arrays. | yii\httpclient\JsonParser

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__call() | Calls the named method which is not a class method. | yii\base\BaseObject
__construct() | Constructor. | yii\base\BaseObject
__get() | Returns the value of an object property. | yii\base\BaseObject
__isset() | Checks if a property is set, i.e. defined and not null. | yii\base\BaseObject
__set() | Sets value of an object property. | yii\base\BaseObject
__unset() | Sets an object property to null. | yii\base\BaseObject
canGetProperty() | Returns a value indicating whether a property can be read. | yii\base\BaseObject
canSetProperty() | Returns a value indicating whether a property can be set. | yii\base\BaseObject
className() | Returns the fully qualified name of this class. | yii\base\BaseObject
hasMethod() | Returns a value indicating whether a method is defined. | yii\base\BaseObject
hasProperty() | Returns a value indicating whether a property is defined. | yii\base\BaseObject
init() | Initializes the object. | yii\base\BaseObject
parse() | Parses given HTTP response instance. | yii\httpclient\JsonParser

## Property Details

$asArray public property (available since version 2.0.8)

Whether to return objects in terms of associative arrays.

public boolean $asArray = true

## Method Details

parse() public method

Parses given HTTP response instance.

public mixed parse ( yii\httpclient\Response $response )
$response | yii\httpclient\Response | HTTP response instance.
return | mixed | Parsed content data.